package org.wfc.omada.api.maintenance.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * BatchSiteSelfRestoreVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:40:12.680+08:00[Asia/Shanghai]")

public class BatchSiteSelfRestoreVo   {
  @JsonProperty("siteRestoreInfos")
  @Valid
  private List<SelfSiteRestoreVo> siteRestoreInfos = new ArrayList<>();

  public BatchSiteSelfRestoreVo siteRestoreInfos(List<SelfSiteRestoreVo> siteRestoreInfos) {
    this.siteRestoreInfos = siteRestoreInfos;
    return this;
  }

  public BatchSiteSelfRestoreVo addSiteRestoreInfosItem(SelfSiteRestoreVo siteRestoreInfosItem) {
    this.siteRestoreInfos.add(siteRestoreInfosItem);
    return this;
  }

  /**
   * Site restore info list to restore. Up to 300 entries are allowed for the site restore info list.
   * @return siteRestoreInfos
  */
  @ApiModelProperty(required = true, value = "Site restore info list to restore. Up to 300 entries are allowed for the site restore info list.")
  @NotNull

  @Valid

  public List<SelfSiteRestoreVo> getSiteRestoreInfos() {
    return siteRestoreInfos;
  }

  public void setSiteRestoreInfos(List<SelfSiteRestoreVo> siteRestoreInfos) {
    this.siteRestoreInfos = siteRestoreInfos;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BatchSiteSelfRestoreVo batchSiteSelfRestoreVo = (BatchSiteSelfRestoreVo) o;
    return Objects.equals(this.siteRestoreInfos, batchSiteSelfRestoreVo.siteRestoreInfos);
  }

  @Override
  public int hashCode() {
    return Objects.hash(siteRestoreInfos);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BatchSiteSelfRestoreVo {\n");
    
    sb.append("    siteRestoreInfos: ").append(toIndentedString(siteRestoreInfos)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

